#ifndef SIMILARITYMEASURE_H_
#define SIMILARITYMEASURE_H_

#include <vector>
#include <string>
#include <iostream>

namespace TCBR_Representation
{
	class SimilarityMeasure
	{
	public:
		virtual ~SimilarityMeasure() {}
		virtual double computeCaseSimilarity(Case*, Case*) = 0;
	};

	class QueryBiasedSymbolicComparator: public SimilarityMeasure
	{
	public:
		virtual double computeCaseSimilarity(Case*, Case*);
		virtual double getSymbolicDifference(Case* from, Case* to, Entity* type);
	};
};

#endif /*SIMILARITYMEASURE_H_*/
